## autogen 5.10

=== pkg/debian/Makefile ===

## This file is part of AutoGen.
## AutoGen copyright (c) 1992-2009 by Bruce Korb - all rights reserved
##
## AutoGen is free software: you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by the
## Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## AutoGen is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
## See the GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License along
## with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# use autoopts-config to determine
# 1) the locatation autogen      (autoopts-config --autogen)
# 2) the data dir for autogen    (autoopts-config --pkgdatadir)
# 3) the include dir for autogen (autoopts-config --cflags)
# 4) the lib dir for autogen     (autoopts-config --libs)

AUTOGEN_PROGRAM=$(shell autoopts-config --autogen)
AUTOGEN_DATADIR=$(shell autoopts-config --pkgdatadir)
AUTOGEN_FLAGS=-L$(AUTOGEN_DATADIR)

AUTOGEN_CFLAGS=$(shell autoopts-config --cflags)
AUTOGEN_LDFLAGS=$(shell autoopts-config --libs)

CFLAGS+=$(AUTOGEN_CFLAGS) -DTEST_CHECK_OPTS
LDFLAGS+=$(AUTOGEN_LDFLAGS)

.PHONY: build
build: main

.PHONY: clean
clean:
	rm -f *.o main checkopt.c checkopt.h

main: checkopt.c main.c
checkopt.c checkopt.h: checkopt.def

# additional rules
%.c: %.def
	$(AUTOGEN_PROGRAM) $(AUTOGEN_FLAGS) $^

## autogen 5.10-1maemo1

=== debian/changelog ===
autogen (1:5.10-1maemo1) fremantle; urgency=low

  * Maemo port of Ubuntu lucid version

 -- Thomas Tanner <tanner@maemory.com>  Fri, 05 Feb 2010 00:00:00 +0100

autogen (1:5.10-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file.
  * Remove /usr/share/info/dir. Closes: #555500.
  * Add missing install-info and ${misc:Depends} dependencies.
  * Make some dependencies stricter.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 17 Nov 2009 18:48:36 +0000

autogen (1:5.9.9-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.3.
  * debian/patches
    - 02_fix_bashisms_in_tests.diff - Fix bashisms in tests.
      Closes: #543084.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Aug 2009 18:51:45 +0100

autogen (1:5.9.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_fix_hurd_FTBFS.diff - Fix FTBFS on GNU/Hurd. Thanks to
      Barry deFreese <bdefreese@debian.org> Closes: #532791.
  * debian/control
    - Add Vcs-* fields.
    - Update Standards-Version to 3.8.1. (No changes).
  * Renable tests.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 11 Jun 2009 19:12:22 +0100

autogen (1:5.9.7-1) unstable; urgency=low

  * New upstream release.
  * Fix parallel builds.
  * Remove 01_fix_manpages.diff - Gone upstream.
  * Fix descriptions. Closes: #502339.
  * Upgrade guile dependency to 1.8.
  * Disable tests.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Nov 2008 13:36:34 +0000

autogen (1:5.9.5-3) unstable; urgency=low

  * debian/rules:
    - Remove generated binary files on clean to fix FTBFS twice.
    - Tidy up build process.
  * debian/control:
    - Change maintainer email address.
    - Upgrade compat to 7, upgrade debhelper Build-Depends to (>= 7).
    - Update Standards-Version to 3.8.0. (No changes).
    - Remove old base-files depends.
    - Reformat and tidy up package descriptions.
    - Replace obsolete tetex-bin Build-Depend with texlive.
  * Convert copyright to machine readable format.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 14 Oct 2008 21:20:09 +0100

autogen (1:5.9.5-2) unstable; urgency=low

  * Fix 01_fix_manpages.diff. Closes: #485180.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 08 Jun 2008 18:25:31 +0100

autogen (1:5.9.5-1) unstable; urgency=low

  * New upstream release. Closes: #482881.
  * Bump debhelper dependency to (>= 5).
  * Add quilt patch system.
   + 00_fix_as-needed. Fix -Wl,--as-needed flag.
   + 01_fix_manpages. Fix errors in manpages.
  * Update debian/copyright.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 25 May 2008 21:33:58 +0100

autogen (1:5.9.4-1) unstable; urgency=low

  * New upstream release.
  * New Maintainer. Closes: #466329
  * Update compat version to 5.
  * Build depend on just libguile-1.6-dev, (Build currently fails with 1.8)
  * Corrected section in doc-base.

 -- Bradley Smith <brad@brad-smith.co.uk>  Thu, 06 Mar 2008 16:57:12 +0000

autogen (1:5.9.4~pre12-1) experimental; urgency=low

  * New upstream prerelease.

 -- Matt Kraai <kraai@debian.org>  Tue, 11 Dec 2007 00:03:11 -0800

autogen (1:5.9.3-4) unstable; urgency=low

  * Add a Homepage field to debian/control.

 -- Matt Kraai <kraai@debian.org>  Fri, 30 Nov 2007 10:09:36 -0800

autogen (1:5.9.3-3) unstable; urgency=low

  * Add " debian uupdate" to debian/watch.

 -- Matt Kraai <kraai@debian.org>  Tue, 13 Nov 2007 00:25:17 -0800

autogen (1:5.9.3-2) unstable; urgency=low

  * Update debian/watch, thanks to Bruce Korb, closes: #449690.

 -- Matt Kraai <kraai@debian.org>  Thu, 08 Nov 2007 21:59:41 -0800

autogen (1:5.9.3-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Sun, 07 Oct 2007 15:33:47 -0700

autogen (1:5.9.2-3) unstable; urgency=low

  * Reference the GNU GPL and GNU LGPL in /usr/share/common-licenses and
    add dependencies on base-files (>=4.0.1).

 -- Matt Kraai <kraai@debian.org>  Sat, 06 Oct 2007 01:23:19 -0700

autogen (1:5.9.2-2) unstable; urgency=low

  * Do not ignore errors from $(MAKE) distclean in debian/rules.
  * Change ${Source-Version} to ${binary:Version} in debian/control.
  * Update the index path for the HTML documentation in autogen.doc-base.

 -- Matt Kraai <kraai@debian.org>  Sat, 28 Jul 2007 15:37:18 -0700

autogen (1:5.9.2-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Sat, 28 Jul 2007 14:57:26 -0700

autogen (1:5.9.1-2) unstable; urgency=low

  * Move the debhelper compatibility level setting from debian/rules to
    debian/compat.
  * Update the Standards-Version to 3.7.2.
  * Convert debian/changelog to UTF-8.
  * Change pkgconfig_SCRIPTS to pkgconfig_DATA in autoopts/Makefile.am and
    ran automake.

 -- Matt Kraai <kraai@debian.org>  Tue, 15 May 2007 23:19:17 -0700

autogen (1:5.9.1-1) unstable; urgency=low

  * New release.
  * Prepend $f to LD_LIBRARY_PATH in getopt.tpl.

 -- Matt Kraai <kraai@debian.org>  Thu, 10 May 2007 06:45:47 -0700

autogen (1:5.9-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Tue, 10 Apr 2007 21:14:32 -0700

autogen (1:5.8.9-2) experimental; urgency=low

  * Decrement AO_AGE, closes: #409056.

 -- Matt Kraai <kraai@debian.org>  Sat,  3 Feb 2007 08:22:50 -0800

autogen (1:5.8.9-1) experimental; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Wed, 31 Jan 2007 06:27:15 -0800

autogen (1:5.8.8-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Tue, 19 Dec 2006 00:04:12 -0800

autogen (1:5.8.7-2) unstable; urgency=low

  * Remove an extra backslash in error.test.
  * Ignore "Aborted" messages in error.test, closes: #373666.

 -- Matt Kraai <kraai@debian.org>  Tue, 19 Dec 2006 00:03:34 -0800

autogen (1:5.8.7-1) unstable; urgency=low

  * New release.

 -- Matt Kraai <kraai@debian.org>  Sun,  3 Dec 2006 09:47:30 -0800

autogen (1:5.8.3-2) unstable; urgency=low

  * Fix the MIPS test failures, closes: #357990.

 -- Matt Kraai <kraai@debian.org>  Wed, 22 Mar 2006 15:31:28 -0800



=== debian/control ===
Source: autogen
Section: devel
Priority: optional
Maintainer: Thomas Tanner <tanner@maemory.com>
XSBC-Original-Maintainer: Bradley Smith <bradsmith@debian.org>
Build-Depends: debhelper7 (>= 7.4.11-maemo5), autotools-dev, gperf, guile-1.8-dev, libxml2-dev, texinfo, texi2html, quilt
Standards-Version: 3.8.3
Homepage: http://www.gnu.org/software/autogen/
Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-autogen.git
Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-autogen.git

Package: autogen
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.14) | install-info, libopts25-dev (= ${binary:Version}), ${misc:Depends}
Description: automated text file generator
 AutoGen is a tool designed for generating program files that contain
 repetitive text with varied substitutions. This is especially valuable if
 there are several blocks of such text that must be kept synchronized.
 .
 Included with AutoGen is a tool that virtually eliminates the hassle of
 processing options, keeping usage text up to date and so on. This tool
 allows you to specify several program attributes, innumerable options and
 option attributes, then it produces all the code necessary to parse and
 handle the command line and initialization file options.
 .
 This package contains the development tools. libopts25-dev contains the
 static libraries and header files. libopts25 contains the shared libraries.

Package: libopts25
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libopts9
Replaces: autogen, libopts9
Section: libs
Description: automated option processing library based on autogen
 This package contains the shared libraries needed by binaries that use
 autoopts for option processing. The package containing the header files
 and static libraries is libopts25-dev. The package containing the
 development tools is autogen.

Package: libopts25-dev
Architecture: any
Depends: libopts25 (= ${binary:Version}), ${misc:Depends}
Conflicts: libopts9-dev
Replaces: autogen, libopts9-dev
Section: libdevel
Description: automated option processing library based on autogen
 This package contains the header files and static libraries used by
 autoopts. The package containing the shared libraries is libopts25. The
 package containing the development tools is autogen.

=== debian/rules ===
#!/usr/bin/make -f

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

include /usr/share/quilt/quilt.make

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG_FLAGS = --enable-debug
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

LDFLAGS=-Wl,--as-needed

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(DEBUG_FLAGS) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE)
	#$(MAKE) check
	#$(MAKE) -C doc autogen.ps info
	#cd doc && texi2html -split=chapter -subdir=html autogen.texi
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f snprintfv/snprintfv.h
	rm -Rf doc/html
	rm -f agen5/test/defs autoopts/test/*.o autoopts/test/*.c \
		autoopts/test/*.h autoopts/test/getopt.def getdefs/opts.c \
		snprintfv/snv.c xml2ag/fork.c xml2ag/xmlopts.c xml2ag/xmlopts.h \
		autoopts/autoopts.pc autoopts/pathfind.3
	rm -f autoopts/*.tar.gz
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
	rm -f $(CURDIR)/debian/tmp/usr/share/autogen/*.tar.gz
	rm -f $(CURDIR)/debian/tmp/usr/share/info/dir

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --fail-missing
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure build

=== debian/watch ===
version=3
http://sf.net/autogen/autogen-([\d\.]+)\.tar\.gz

## autogen 5.17.1

=== debian/changelog ===
autogen (1:5.17.1-1ubuntu2) raring; urgency=low

  * Mark autogen package Multi-Arch: foreign. (LP: #1118246)
    Thanks Wookey.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 02 Mar 2013 23:30:21 +0000

autogen (1:5.17.1-1ubuntu1) raring; urgency=low

  * Build using guile-2.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 15:55:24 +0100

autogen (1:5.17.1-1) experimental; urgency=low

  * New upstream version.
    + Drop 10_usecolumnsfrombuildtree.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Jan 2013 13:05:46 +0100

autogen (1:5.17-1) experimental; urgency=low

  * New upstream version.
  * Pull [10_usecolumnsfrombuildtree.diff] from upstream git: define CLexe in
    the enumeration templates.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Dec 2012 15:06:08 +0100

autogen (1:5.16.2-2) experimental; urgency=low

  * 02_fix_hurd_identifiermacro.diff - Use correct #define to allow building
    on hurd. (#629142)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Sep 2012 09:05:11 +0200

autogen (1:5.16.2-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 12 Aug 2012 08:55:19 +0200

autogen (1:5.16.2~pre9-1) experimental; urgency=low

  * New upstream test version.
    + Drop 20_ignore_AG_LDFLAGS.diff and 25_fixia64FTBFS.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Aug 2012 17:03:02 +0200

autogen (1:5.16-2) experimental; urgency=low

  * 25_fixia64FTBFS.diff: Update agen5/functions.c from 5.16.1pre6, this
    should fix FTBFS on ia64.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Jun 2012 19:48:53 +0200

autogen (1:5.16-1) experimental; urgency=low

  * New upstream version. Closes: #661355
  * Point watch file to ftp.gnu.org.
  * Use 3.0 (quilt) format.
  * Add build-indep (noop) and build-arch targets.
  * Drop conflicts/replaces with libopts9. Closes: #648714
  * Use 'dpkg-buildflags --export=configure' to get hardening-flags. Append
    -Wall to CFLAGS. Add required b-d on dpkg-dev (>= 1.16.1).
    Add debian/patches/10_dropallWerroropts.diff to fix testsuite error.
  * Point Vcs-* to git.debian.org.
  * Update 00_fix_as-needed.diff for 5.16.
  * Drop 10_dropallWerroropts.diff, included in 5.16.
  * Add 20_ignore_AG_LDFLAGS.diff, fixing a FTBFS with non-empty LDFLAGS.
  * Adopt package, since it a gnutls build-dependency. (Co-)maintainers
    are still welcome. Closes: #674867
  * Use pkg-config to get libxml2 libs/cflags instead of libxml2-config. The
    latter unnecessarily pulls in -lz.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Jun 2012 16:32:11 +0200

autogen (1:5.12-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - Don't set rpath for default search paths. (Closes: #630176)
    - Fixes build issue on Hurd.
    - Drop patch 02_home.diff, applied upstream
  * Don't run the build target twice.  Patch from Matthias Klose
    <doko@debian.org> (Closes: #629690)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 10 Jul 2011 15:05:23 +0200

autogen (1:5.11.9-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Bruce Korb <bkorb@gnu.org> to deal with non-existing
    $HOME (Closes: #629142)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 04 Jun 2011 15:17:34 +0000

autogen (1:5.11.9-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #624755, #619791)
    - Removed 02_fix_bashisms_in_tests.diff, fixed upstream
    - autoopts.pc moved to /usr/share/pkgconfig
    - liboptschk.m4 moved to /usr/share/autogen
    - install autoopts.m4 in /usr/share/aclocal
    - libguileopts is removed from the library
  * Remove *.la files (Closes: #621207)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 03 Jun 2011 16:19:19 +0000

autogen (1:5.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set shlibs so that other packages get proper Depends (Closes: #562791)
  * Don't let autoopts-config return an rpath.  This is not useful on any
    Debian system.  (Closes: #562607)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 30 Jan 2010 20:13:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: autogen
 Section: devel
 Priority: optional
-Maintainer: Thomas Tanner <tanner@maemory.com>
-XSBC-Original-Maintainer: Bradley Smith <bradsmith@debian.org>
-Build-Depends: debhelper7 (>= 7.4.11-maemo5), autotools-dev, gperf, guile-1.8-dev, libxml2-dev, texinfo, texi2html, quilt
-Standards-Version: 3.8.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Metzler <ametzler@debian.org>
+Build-Depends: debhelper (>= 7), autotools-dev, gperf, guile-2.0-dev,
+ libxml2-dev, texinfo, texlive, texi2html, dpkg-dev (>= 1.16.1), 
+ pkg-config
+Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/autogen/
-Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-autogen.git
-Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-autogen.git
+Vcs-Git: git://git.debian.org/git/collab-maint/autogen.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/autogen.git
 
 Package: autogen
 Architecture: any
-Depends: ${shlibs:Depends}, dpkg (>= 1.14) | install-info, libopts25-dev (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, libopts25-dev (= ${binary:Version}), ${misc:Depends}
 Description: automated text file generator
  AutoGen is a tool designed for generating program files that contain
  repetitive text with varied substitutions. This is especially valuable if
@@ -29,8 +32,7 @@
 Package: libopts25
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libopts9
-Replaces: autogen, libopts9
+Replaces: autogen
 Section: libs
 Description: automated option processing library based on autogen
  This package contains the shared libraries needed by binaries that use

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG_FLAGS = --enable-debug
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure $(DEBUG_FLAGS) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-libxml2-libs="$(shell pkg-config --libs libxml-2.0)" \
		--with-libxml2-cflags="$(shell pkg-config --cflags libxml-2.0)" \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		$(shell DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	$(MAKE) check
	$(MAKE) -C doc autogen.ps info
	cd doc && texi2html -split=chapter -subdir=html autogen.texi
	touch $@

build-indep:
	# Nothing to do (no arch-indep packages).
build-arch: build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f snprintfv/snprintfv.h
	rm -Rf doc/html
	rm -f agen5/test/defs autoopts/test/*.o autoopts/test/*.c \
		autoopts/test/*.h autoopts/test/getopt.def getdefs/opts.c \
		snprintfv/snv.c xml2ag/fork.c xml2ag/xmlopts.c xml2ag/xmlopts.h \
		autoopts/autoopts.pc autoopts/pathfind.3
	rm -f autoopts/*.tar.gz
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
	rm -f $(CURDIR)/debian/tmp/usr/share/autogen/*.tar.gz
	rm -f $(CURDIR)/debian/tmp/usr/share/info/dir
	rm -f $(CURDIR)/debian/tmp/usr/lib/libopts.la

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --fail-missing
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure build build-indep build-arch

## autogen 5.18

=== debian/changelog ===
autogen (1:5.18-2ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2013 11:37:51 +0100

autogen (1:5.18-2ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Build using guile-2.0.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 11:45:11 +0100

autogen (1:5.18-2) unstable; urgency=low

  * Upload to unstable. (The autobuilders did not try, but manual builds on
    armel/mips/mipsel succeeded.) 

 -- Andreas Metzler <ametzler@debian.org>  Mon, 22 Jul 2013 07:56:42 +0200

autogen (1:5.18-1) experimental; urgency=low

  * New upstream version, almost identical to 5.17.5~pre14.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Jul 2013 14:52:10 +0200

autogen (1:5.17.5~pre14-1) experimental; urgency=low

  * Pull from Ubuntu: Mark autogen package Multi-Arch: foreign.
  * Clean up debian/control:
    + Drop b-d on dpkg-dev (>= 1.16.1), we are using dh v9 instead of
      invoking dpkg-buildflags directly.
    + Drop dependency on dpkg (>= 1.15.4) | install-info.
  * New upstream development release.
    + Includes fix for Mayhem issue. Closes: #715955
  * Build with -Wno-format-contains-nul. Closes: #715311

 -- Andreas Metzler <ametzler@debian.org>  Tue, 16 Jul 2013 18:51:38 +0200

autogen (1:5.17.4-2) unstable; urgency=low

  * Upload to unstable.
  * Convert to dh.
  * Use debhelper v9 mode, including multiarch.
  * 03_no_rpath_multiarch.diff: Stop autoopts-config from causing unnecessary
    rpath entries when libopts is installed to a multiarch path.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jul 2013 13:33:40 +0200

autogen (1:5.17.4-1) experimental; urgency=low

  * New upstream release.
  * Drop 10_testsuiteerror.diff.
  * Use anonscm.debian.org instead of git.d.o in Vcs-* fields.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Jun 2013 19:09:47 +0200

autogen (1:5.17.3-2ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Mark autogen package Multi-Arch: foreign.
    - Build using guile-2.0.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Jul 2013 13:49:44 +0100

autogen (1:5.17.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Jun 2013 19:34:21 +0200

autogen (1:5.17.3-1) experimental; urgency=low

  * New upstream release.
  * 10_testsuiteerror.diff - Fix newly introduced testsuite problem.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 Apr 2013 09:14:31 +0200

autogen (1:5.17.2-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Mar 2013 14:44:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, gperf, guile-2.0-dev,
- libxml2-dev, texinfo, texlive, texi2html, dpkg-dev (>= 1.16.1), 
+Build-Depends: debhelper (>= 9), autotools-dev, gperf, guile-2.0-dev,
+ libxml2-dev, texinfo, texlive, texi2html, dh-autoreconf,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/autogen/
-Vcs-Git: git://git.debian.org/git/collab-maint/autogen.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/autogen.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autogen.git
 
 Package: autogen
 Architecture: any
+Depends: ${shlibs:Depends}, libopts25-dev (= ${binary:Version}),
+ ${misc:Depends}
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, libopts25-dev (= ${binary:Version}), ${misc:Depends}
 Description: automated text file generator
  AutoGen is a tool designed for generating program files that contain
  repetitive text with varied substitutions. This is especially valuable if
@@ -31,9 +32,11 @@
 
 Package: libopts25
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: autogen
 Section: libs
+Multi-Arch: same
 Description: automated option processing library based on autogen
  This package contains the shared libraries needed by binaries that use
  autoopts for option processing. The package containing the header files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-contains-nul

override_dh_auto_configure:
	dh_auto_configure --verbose -- \
		--disable-silent-rules \
		--with-libxml2-libs="$(shell pkg-config --libs libxml-2.0)" \
		--with-libxml2-cflags="$(shell pkg-config --cflags libxml-2.0)"

override_dh_auto_build:
	dh_auto_build --verbose
	$(MAKE) -C doc autogen.ps info
	cd doc && texi2html -split=chapter -subdir=html autogen.texi


override_dh_auto_clean:
	rm -Rf doc/html
	rm -vf agen5/test/defs autoopts/test/*.o autoopts/test/*.c \
		autoopts/test/*.h autoopts/test/getopt.def getdefs/opts.c \
		snprintfv/snv.c snprintfv/snprintfv.h xml2ag/fork.c \
		xml2ag/xmlopts.c xml2ag/xmlopts.h autoopts/autoopts.pc \
		autoopts/pathfind.3 autoopts/*.tar.gz
	dh_auto_clean --verbose

override_dh_auto_install:
	dh_auto_install  --verbose
	rm -vf $(CURDIR)/debian/tmp/usr/share/autogen/*.tar.gz \
		$(CURDIR)/debian/tmp/usr/share/info/dir \
		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la


override_dh_install:
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=3
ftp://ftp.gnu.org/gnu/autogen/rel([\d\.]+)/autogen-([\d\.]+)\.tar\.gz

## autogen 5.18.3

=== debian/changelog ===
autogen (1:5.18.3-6) unstable; urgency=medium

  * Bump build-dep on guile-2.0-dev to a version without #701861.
    Closes: #757186
  * Build using dh-autoreconf. (Merged from Ubuntu, thanks Matthias Klose)
    Drop 00_fix_as-needed.diff, since it does not work anymore.
    Closes: #757050

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Aug 2014 19:47:41 +0200

autogen (1:5.18.3-5) unstable; urgency=medium

  * Update debian/copyright. (Thanks, Thorsten Alteholz)
    Closes: #752402
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Jun 2014 19:36:34 +0200

autogen (1:5.18.3-4) experimental; urgency=medium

  [ Peter Pentchev ]
  * Move the PostScript and HTML documentation to a new
    architecture-independent autogen-doc package.
  * Move autogen-doc build dependencies to B-D-I.
    Closes: #751470

  [ Andreas Metzler ]
  * autogen-doc Breaks/Replaces autogen (<< 1:5.18.3-4) since
    /usr/share/doc-base/autogen moved from one package to the other.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Jun 2014 19:24:38 +0200

autogen (1:5.18.3-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Jun 2014 13:54:28 +0200

autogen (1:5.18.3-2) experimental; urgency=medium

  * Add a build-depency on cm-super-minimal which seems to have become
    necessary for dvips with texlive 2014.201405XX.
    Closes: #750310
  * Add debian/upstream/metadata.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 Jun 2014 19:05:49 +0200

autogen (1:5.18.3-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 29 May 2014 14:08:38 +0200

autogen (1:5.18.3~pre36-1) experimental; urgency=medium

  * New upstream release. - Should fix/workaround #747592.
  * Refresh 10_handle_grep_error.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 May 2014 19:25:08 +0200

autogen (1:5.18.3~pre34-1) experimental; urgency=medium

  * New upstream release.
  * 10_handle_grep_error.diff: Fix FTBFS against guile-2.0.11.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 04 May 2014 19:34:01 +0200

autogen (1:5.18.3~pre19-1) experimental; urgency=medium

  * Build against guile 2.0. Closes: #745990
  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Apr 2014 14:17:30 +0200

autogen (1:5.18.3~pre16-1) experimental; urgency=low

  * Ship /usr/share/autogen/libopts-x.y.z.tar.gz tearoff in autogen binary
    package. Closes: #728817
  * New upstream release.
  * Move autoopts.pc from /usr/share to /usr/lib/multiarch-triplet.
  * Add debian/upstream-signing-key.pgp (listed in
    debian/source/include-binaries) and update watchfile to check
    upstream signature. Let watchfile match .xz, too.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Feb 2014 15:15:42 +0100

autogen (1:5.18.3~pre5-1) experimental; urgency=low

  * New upstream release.
    + Should fix FTBFS with gcc-4.6 (stdnoreturn.h breakage).

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Nov 2013 19:40:12 +0100

autogen (1:5.18.2-1) experimental; urgency=low

  * New upstream release.
  * Drop parts of 01_fix_hurd_FTBFS.diff, included upstream.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Oct 2013 12:14:44 +0200

autogen (1:5.18.1-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Sep 2013 08:23:49 +0200

autogen (1:5.18.1~pre1-1) experimental; urgency=low

  * New upstream development release.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Jul 2013 12:57:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: autogen
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, gperf, guile-2.0-dev,
- libxml2-dev, texinfo, texlive, texi2html, dh-autoreconf,
- pkg-config
-Standards-Version: 3.9.4
+Maintainer: Andreas Metzler <ametzler@debian.org>
+Build-Depends: debhelper (>= 9), autotools-dev, gperf,
+ guile-2.0-dev (>= 2.0.11+1-0), libxml2-dev, pkg-config, dh-autoreconf,
+Build-Depends-Indep: texinfo, texlive, texi2html, cm-super-minimal
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/autogen/
 Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autogen.git
@@ -15,6 +14,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, libopts25-dev (= ${binary:Version}),
  ${misc:Depends}
+Recommends: autogen-doc
 Multi-Arch: foreign
 Description: automated text file generator
  AutoGen is a tool designed for generating program files that contain
@@ -29,6 +29,20 @@
  .
  This package contains the development tools. libopts25-dev contains the
  static libraries and header files. libopts25 contains the shared libraries.
+ autogen-doc contains the PostScript and HTML documentation.
+
+Package: autogen-doc
+Section: doc
+Breaks: autogen (<< 1:5.18.3-4)
+Replaces: autogen (<< 1:5.18.3-4)
+Depends: ${misc:Depends}
+Architecture: all
+Description: automated text file generator - documentation
+ AutoGen is a tool designed for generating program files that contain
+ repetitive text with varied substitutions. This is especially valuable if
+ there are several blocks of such text that must be kept synchronized.
+ .
+ This package contains the PostScript and HTML documentation.
 
 Package: libopts25
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,11 @@
 
 override_dh_auto_build:
 	dh_auto_build --verbose
-	$(MAKE) -C doc autogen.ps info
+	$(MAKE) -C doc info
+ifneq (,$(filter autogen-doc, $(shell dh_listpackages)))
+	$(MAKE) -C doc autogen.ps
 	cd doc && texi2html -split=chapter -subdir=html autogen.texi
+endif
 
 
 override_dh_auto_clean:
@@ -26,8 +29,9 @@
 
 override_dh_auto_install:
 	dh_auto_install  --verbose
-	rm -vf $(CURDIR)/debian/tmp/usr/share/autogen/*.tar.gz \
-		$(CURDIR)/debian/tmp/usr/share/info/dir \
+	mv -v $(CURDIR)/debian/tmp/usr/share/pkgconfig \
+		`dirname $(CURDIR)/debian/tmp/usr/lib/*/libopts.la`
+	rm -vf $(CURDIR)/debian/tmp/usr/share/info/dir \
 		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la

## autogen 5.18.4

=== debian/changelog ===
autogen (1:5.18.4-3) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix typo in 04_crossbuild.diff. Closes: #762021

  [ Andreas Metzler ]
  * Make /usr/share in libopts25-dev package binary identical on rebuilds. -
    Use sed to set the date in generated manpages' .TH header to the one in
    debian/changelog instead of `date -I`.
  * libopts25-dev is Multi-Arch: same. Closes: #762019

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Sep 2014 15:57:52 +0200

autogen (1:5.18.4-2) unstable; urgency=medium

  * 15_add_missing_file_from_GIT.diff: Also add config/libopts.def.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Sep 2014 08:41:21 +0200

autogen (1:5.18.4-1) experimental; urgency=medium

  * New upstream version.
    + Drop 10_handle_grep_error.diff.
    + Autogen does not include timestamp in generated files anymore.
      Closes: #762030 
  * 10_licensing.diff from upstream GIT: Add missing licensing headers.
  * Update debian/copyright, fix DEP-5 format errors.
  * 11_fix_testsuite.error.diff fix testsuite error on dash.
  * 15_add_missing_file_from_GIT.diff Add config/misc.def from upstream GIT.
    Closes: #761602
  * 04_crossbuild.diff by Helmut Grohne: On cross-builds invoke the system
    copy of autogen instead of the freshly cross-built foreign one.
    Closes: #762021

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Sep 2014 16:25:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), autotools-dev, gperf,
  guile-2.0-dev (>= 2.0.11+1-0), libxml2-dev, pkg-config, dh-autoreconf,
 Build-Depends-Indep: texinfo, texlive, texi2html, cm-super-minimal
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/autogen/
 Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autogen.git
@@ -59,10 +59,12 @@
 
 Package: libopts25-dev
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libopts25 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libopts9-dev
 Replaces: autogen, libopts9-dev
 Section: libdevel
+Multi-Arch: same
 Description: automated option processing library based on autogen
  This package contains the header files and static libraries used by
  autoopts. The package containing the shared libraries is libopts25. The

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-contains-nul
+DATECHLOG := $(shell date \
+	-d "`dpkg-parsechangelog | \
+	sed -n '/^Date: /s/^Date: //p'`" \
+	+%Y-%m-%d)
 
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
@@ -33,6 +37,9 @@
 		`dirname $(CURDIR)/debian/tmp/usr/lib/*/libopts.la`
 	rm -vf $(CURDIR)/debian/tmp/usr/share/info/dir \
 		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la
+	find debian/tmp/usr/share/man/ -type f -exec \
+		sed -i -e "s:\(^\.TH .*\) 2[[:digit:]][[:digit:]][[:digit:]]-[01][[:digit:]]-[0123][[:digit:]] :\1 $(DATECHLOG) :" \
+		{} +
 
 
 override_dh_install:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
ftp://ftp.gnu.org/gnu/autogen/rel([\d\.]+)/autogen-([\d\.]+)\.tar\.(?:xz|bz2|gz)

## autogen 5.18.6~pre3

=== debian/changelog ===
autogen (1:5.18.6~pre3-3) unstable; urgency=low

  * Use standard automake html target, which uses makeinfo instead of
    texi2html to generate html docs. As a side-effect invalidates /
    Closes: #635311 since the manual is split differently.
  * Ship and generate pdf instead of ps docs.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jul 2015 13:02:02 +0200

autogen (1:5.18.6~pre3-2) experimental; urgency=medium

  * Add 20_nosetlocale.diff, to really Closes: #787866.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jul 2015 16:13:36 +0200

autogen (1:5.18.6~pre3-1) experimental; urgency=medium

  * New upstream version.
    + Unwinds Guile wrapper macro removals, which should fix spurious
      breakage. Closes: #787866

 -- Andreas Metzler <ametzler@debian.org>  Mon, 29 Jun 2015 08:24:37 +0200

autogen (1:5.18.5-3) unstable; urgency=medium

  * 10_libopts_tarball_perms.diff: Sanitize file/directory permissions and
    owner in libopts tarball. Override mtime with ${BUILD_DATE} which is
    exported in debian/rules. Avoid gzip timestamp.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 23 Jun 2015 19:26:20 +0200

autogen (1:5.18.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 May 2015 13:53:51 +0200

autogen (1:5.18.5-1) experimental; urgency=medium

  * Quote license grant headers in debian/copyright.
  * New upstream version.
    + Drop 10_licensing.diff, 11_fix_testsuite.error.diff and
      15_add_missing_file_from_GIT.diff.
    + Manual move of pkgconfig file to multiarch dir is unnecessary now.
    + Ship tpl-config.tlib in usr/lib/multiarch-tuple/autogen/tpl-config.tlib.
    + Update debian/copyright.
  * Diverge from upstream by not shipping a second copy of tpl-config.tlib
    in /usr/share/autogen/.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 May 2015 18:10:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, gperf,
  guile-2.0-dev (>= 2.0.11+1-0), libxml2-dev, pkg-config, dh-autoreconf,
-Build-Depends-Indep: texinfo, texlive, texi2html, cm-super-minimal
+Build-Depends-Indep: texinfo, texlive, cm-super-minimal
 Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/autogen/
 Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,9 @@
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-contains-nul
-DATECHLOG := $(shell date \
-	-d "`dpkg-parsechangelog | \
-	sed -n '/^Date: /s/^Date: //p'`" \
-	+%Y-%m-%d)
+# Used by 10_libopts_tarball_perms.diff
+export BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
+DATECHLOG := $(shell date -d '$(BUILD_DATE)' +%Y-%m-%d)
 
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
@@ -17,8 +16,8 @@
 	dh_auto_build --verbose
 	$(MAKE) -C doc info
 ifneq (,$(filter autogen-doc, $(shell dh_listpackages)))
-	$(MAKE) -C doc autogen.ps
-	cd doc && texi2html -split=chapter -subdir=html autogen.texi
+	$(MAKE) -C doc pdf
+	$(MAKE) -C doc html
 endif
 
 
@@ -33,10 +32,9 @@
 
 override_dh_auto_install:
 	dh_auto_install  --verbose
-	mv -v $(CURDIR)/debian/tmp/usr/share/pkgconfig \
-		`dirname $(CURDIR)/debian/tmp/usr/lib/*/libopts.la`
 	rm -vf $(CURDIR)/debian/tmp/usr/share/info/dir \
-		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la
+		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la \
+		$(CURDIR)/debian/tmp/usr/share/autogen/tpl-config.tlib
 	find debian/tmp/usr/share/man/ -type f -exec \
 		sed -i -e "s:\(^\.TH .*\) 2[[:digit:]][[:digit:]][[:digit:]]-[01][[:digit:]]-[0123][[:digit:]] :\1 $(DATECHLOG) :" \
 		{} +

## autogen 5.18.7

=== debian/changelog ===
autogen (1:5.18.7-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: missing Build-Depends: autogen. Closes: #809728

  [ Andreas Metzler ]
  * Move Vcs-* from git/http to https.
  * Add B-D on dpkg-dev (>= 1.17.14) and version debhelper B-D with
    (>= 9.20141010). This is necessary for above-mentioned B-D on
    "autogen <cross>".

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Jan 2016 14:27:31 +0100

autogen (1:5.18.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Dec 2015 11:23:43 +0100

autogen (1:5.18.7-1) experimental; urgency=medium

  * Change watchfile to search for files ftp://ftp.gnu.org/gnu/autogen/
    instead of relx.y subdirectories.
  * New upstream version.
    + Drop 01_fix_hurd_FTBFS.diff 02_fix_hurd_identifiermacro.diff,
      03_no_rpath_multiarch.diff 11_man3_fix_date.diff
      12_reprbuild_fs_dep.diff, unfuzz 10_libopts_tarball_perms.diff

 -- Andreas Metzler <ametzler@debian.org>  Tue, 08 Dec 2015 07:59:34 +0100

autogen (1:5.18.6-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Oct 2015 08:51:44 +0100

autogen (1:5.18.6-3) experimental; urgency=medium

  * undefine LC_ALL in debian/rules to let reproducible build CI tests pass,
    which set LC_ALL in addition to LANG, preventing selective locale
    overrides (LC_COLLATE) from doing their job.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Oct 2015 16:34:24 +0200

autogen (1:5.18.6-2) experimental; urgency=medium

  * 11_man3_fix_date.diff: Add support for MAN_PAGE_DATE to .3 manpages.
  * 12_reprbuild_fs_dep.diff: Fix filesystem dependent order in
    autogen/usr/share/autogen/libopts-41.1.16.tar.gz -
    libopts-41.1.16/Makefile.am

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Oct 2015 12:12:58 +0200

autogen (1:5.18.6-1) experimental; urgency=medium

  * New upstream version.
    + Drop 20_nosetlocale.diff.
  * Reproducible build changes:
    + Use newly supported upstream MAN_PAGE_DATE environment variable instead
      of editing the manpage after build. Specify -u in the respective date(1)
      invocation.
    + configure with --enable-timeout=78 (This is the maximum value found in
      buildlogs, on mipsel.)
    + export LC_COLLATE=C in debian/rules.
    Closes: #794892 (Thanks, Valentin Lorentz)
    + Also update 10_libopts_tarball_perms.diff to use tar --sort=name and add
      the Build-Dependency on tar >= 1.28.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 30 Sep 2015 17:49:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,21 @@
 Section: devel
 Priority: optional
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, gperf,
- guile-2.0-dev (>= 2.0.11+1-0), libxml2-dev, pkg-config, dh-autoreconf,
+Build-Depends: autotools-dev,
+ debhelper (>= 9.20141010),
+ dh-autoreconf,
+ dpkg-dev (>= 1.17.14),
+ gperf,
+ guile-2.0-dev (>= 2.0.11+1-0),
+ libxml2-dev,
+ pkg-config,
+ tar (>= 1.28),
+ autogen <cross>
 Build-Depends-Indep: texinfo, texlive, cm-super-minimal
 Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/autogen/
-Vcs-Git: git://anonscm.debian.org/collab-maint/autogen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autogen.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/autogen.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/autogen.git
 
 Package: autogen
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,16 @@
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-contains-nul
+export LC_COLLATE=C
+undefine LC_ALL
 # Used by 10_libopts_tarball_perms.diff
 export BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
-DATECHLOG := $(shell date -d '$(BUILD_DATE)' +%Y-%m-%d)
+export MAN_PAGE_DATE = $(shell env LC_ALL=C date -u -d '$(BUILD_DATE)' +%Y-%m-%d)
 
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
 		--disable-silent-rules \
+		--enable-timeout=78 \
 		--with-libxml2-libs="$(shell pkg-config --libs libxml-2.0)" \
 		--with-libxml2-cflags="$(shell pkg-config --cflags libxml-2.0)"
 
@@ -35,10 +38,6 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/share/info/dir \
 		$(CURDIR)/debian/tmp/usr/lib/*/libopts.la \
 		$(CURDIR)/debian/tmp/usr/share/autogen/tpl-config.tlib
-	find debian/tmp/usr/share/man/ -type f -exec \
-		sed -i -e "s:\(^\.TH .*\) 2[[:digit:]][[:digit:]][[:digit:]]-[01][[:digit:]]-[0123][[:digit:]] :\1 $(DATECHLOG) :" \
-		{} +
-
 
 override_dh_install:
 	dh_install --fail-missing

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
ftp://ftp.gnu.org/gnu/autogen/autogen-([\d\.]+)\.tar\.(?:xz|bz2|gz)
#ftp://ftp.gnu.org/gnu/autogen/rel([\d\.]+)/autogen-([\d\.]+)\.tar\.(?:xz|bz2|gz)

## autogen 5.18.10

=== debian/changelog ===
autogen (1:5.18.10-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Aug 2016 13:04:34 +0200

autogen (1:5.18.10-3) experimental; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS. Closes: #833171
    + Invoke the triplet prefixed pkg-config.
    + Always assume that the libc comes with a working libregex as autogen
      doesn't work at all without it.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 04 Aug 2016 19:24:27 +0200

autogen (1:5.18.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jul 2016 13:19:19 +0200

autogen (1:5.18.10-1) experimental; urgency=medium

  * New upstream version, also pull 21_test.error.diff from upstream GIT. -
    Should fix testsuite error on mips/armhf.
    + Drop 20_remove-quotes-for-disabled-options-in-man-pages.patch.
  * Point watchfile to rel([\d\.]+)/ subdirectory again.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 May 2016 07:47:14 +0200

autogen (1:5.18.9-1) experimental; urgency=medium

  * New upstream version.
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+all.
  * Update upstream signing key, store ascii-armored copy in
    debian/upstream/signing-key.asc instead of a binary copy (with mention in
    debian/source/include-binaries) in debian/upstream-signing-key.pgp.
  * Pull 20_remove-quotes-for-disabled-options-in-man-pages.patch from
    upstream GIT to fix broken formatting in autogen-erated manpages.
    Closes: #817859

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 May 2016 18:17:34 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  tar (>= 1.28),
  autogen <cross>
 Build-Depends-Indep: texinfo, texlive, cm-super-minimal
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/autogen/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/autogen.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/autogen.git
